document.getElementById('agent-form').addEventListener('submit', function(event) {
  event.preventDefault();
  
  const agentName = document.getElementById('agent-name').value;
  const agentDescription = document.getElementById('agent-description').value;
  const agentLanguage = document.getElementById('agent-language').value;
  
  const agent = {
    name: agentName,
    description: agentDescription,
    language: agentLanguage
  };
  
  addAgentToList(agent);
  clearForm();
});

function addAgentToList(agent) {
  const agentList = document.getElementById('agents');
  
  const li = document.createElement('li');
  li.innerHTML = `
    <h3>${agent.name}</h3>
    <p>${agent.description}</p>
    <small>Language: ${agent.language}</small>
  `;
  
  agentList.appendChild(li);
}

function clearForm() {
  document.getElementById('agent-form').reset();
}